/**
 * @flow
 */
import hk from './hk';
import zh from './zh';
// import zu from './zu'
import { getLanguagSetting } from '../languageUtils';


let languageCode = 'zh'
const localLanguage = {}
localLanguage.translations = zh
export const getLanuageCode = async () => {
  languageCode = await getLanguagSetting()
  switch (languageCode) {
  case 'zh-hk':
  case 'zh-HK':
    localLanguage.translations = hk;
    break;
    // case 'zu':
    //   localLanguage.translations = zu
    //   break
  default:
    localLanguage.translations = zh;
    break;
  }
}

export default localLanguage;
